/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: Context Class
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: Context.cpp,v 1.2 2008/11/20 11:44:47 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#include <glite/data/srm/util/Context.h>

using namespace glite::data::srm::util;

/**
 * Constructor
 */    
Context::Context():
    httpTimeout(60),
    ignoreMissingFeatures(true){
}

/**
 * beforeCall
 */            
void Context::beforeCall(const char * method) throw(){
    try{
        before_call(method);
    } catch(...){ // Ignore errors
    }
}

/**
 * onSuccess
 */
void Context::onSuccess(const char * method,const char * address,const CallInfo * info) throw(){
    try{
        on_success(method,address,info);
    } catch(...){ // Ignore errors
    }
}

/**
 * onFailure
 */            
void Context::onFailure(const char * method,const char * address,const CallInfo * info) throw(){
    try{
        on_failure(method,address,info);
    } catch(...){ // Ignore errors
    }
}

/**
 * onWarning
 */            
void Context::onWarning(const char * scope,const char * description,const char * address) throw(){
    try{
        on_warning(scope,description,address);
    } catch(...){ // Ignore errors
    }
}

