/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Helper class for deferred calls to Context methods
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: context-caller.h,v 1.1 2008/11/20 11:51:39 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_SRM_UTIL_CPP_CONTEXT_CALLER_H_
#define GLITE_DATA_SRM_UTIL_CPP_CONTEXT_CALLER_H_

#include <glite/data/srm/util/Context.h>

namespace glite {
namespace data  {
namespace srm   {
namespace util  {

class CallOnSuccess{
public:
    CallOnSuccess(
        Context&        ctx,
        const char *    method,
        const char *    address,
        const CallInfo *info) :
        m_ctx(ctx),
        m_method(method),
        m_address(address),
        m_info(info){
    }
    ~CallOnSuccess(){
        m_ctx.onSuccess(m_method,m_address,m_info);
    }
private:
    Context& m_ctx;
    const char * m_method;
    const char * m_address;
    const CallInfo * m_info;
};
        
} // End namespace util
} // End namespace srm
} // End namespace data
} // End namespace glite

#endif // GLITE_DATA_SRM_UTIL_CPP_CONTEXT_CALLER_H_



