/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: GetSpaceTokens Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: GetSpaceTokens.cpp,v 1.3 2006/12/13 15:43:30 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "GetSpaceTokens.h"
#include "SrmVersion.h"
#include "GSoapContext.h"

using namespace glite::data::srm::util::srm1_1;

DEFINE_REQUEST_FACTORY(GetSpaceTokens, 1_1);

/**
 * Execute the Request
 */
glite::data::srm::util::SrmStatus GetSpaceTokens::execute() /* throw (LogicError, RemoteError, SecurityError, SrmError)*/{

    SrmStatus result;
    
    // GetSpaceTokens is not supported in 1.1
    result.code = SrmStatus::SRM_NOT_SUPPORTED;
    result.message = "Space Tokens are not supported in Srm 1.1";
    return result;
}
