/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: SrmLs Class
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: SrmLs.cpp,v 1.1 2008/03/18 17:07:30 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#include "SrmLs.h"
#include "SrmVersion.h"
#include "GSoapContext.h"

using namespace glite::data::srm::util::srm1_1;

DEFINE_REQUEST_FACTORY(SrmLs, 1_1);
DEFINE_ASYNCH_REQUEST_FACTORY(SrmLs, 1_1);

/**
 * Execute the Request
 */
void SrmLs::execute() /* throw (LogicError, RemoteError, SecurityError, SrmError)*/{
    this->status.code = SrmStatus::SRM_NOT_SUPPORTED;
    this->status.message = "SrmLs is not supported in Srm 1.1";
}

/**
 * update
 * Update the status of the Request.
 */
void SrmLs::update() /*throw (LogicError, RemoteError, SrmBadResponse, SrmError)*/{
    this->status.code = SrmStatus::SRM_NOT_SUPPORTED;
    this->status.message = "SrmLs is not supported in Srm 1.1";
}

/**
 * done
 * Complete a Request and release the allocated resources.
 */
void SrmLs::done() /*throw (LogicError, RemoteError, SrmBadResponse, SrmError)*/{
    this->status.code = SrmStatus::SRM_NOT_SUPPORTED;
    this->status.message = "SrmLs is not supported in Srm 1.1";
}

/**
 * abort
 * Abort a Request and cleanup the allocated resources.
 */
void SrmLs::abort() /*throw (LogicError, RemoteError, SrmBadResponse, SrmError)*/{
    this->status.code = SrmStatus::SRM_NOT_SUPPORTED;
    this->status.message = "SrmLs is not supported in Srm 1.1";
}
