/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: SrmMkDir Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: SrmMkDir.cpp,v 1.4 2006/12/13 15:43:31 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "SrmMkDir.h"
#include "SrmVersion.h"
#include "GSoapContext.h"
#include "srm-utility.h"

using namespace glite::data::srm::util::srm1_1;

DEFINE_REQUEST_FACTORY(SrmMkDir, 1_1);

/**
 * Execute the Request
 */
glite::data::srm::util::SrmStatus SrmMkDir::execute() /* throw (LogicError, RemoteError, SecurityError, SrmError)*/{

    SrmStatus result;
    
    if(false == ctx().ignoreMissingFeatures){
        // MkDir Is Not Supported in 1.1
        result.code = SrmStatus::SRM_NOT_SUPPORTED;
        result.message = "MkDir is not needed in Srm 1.1";
    }
    // The path is created on Put, I can return SUCCESS
    result.code = SrmStatus::SRM_SUCCESS;
    return result;
}
