/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: srm common functions (get specialization)
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: srm-common-stat.h,v 1.3 2006/11/28 12:01:16 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_SRM_UTIL_CPP_1_1_SRM_COMMON_STAT_H_
#define GLITE_DATA_SRM_UTIL_CPP_1_1_SRM_COMMON_STAT_H_

#include "SrmStat.h"
#include "srm-common-defs.h"
#include "srm-utility.h"

namespace glite {
namespace data  {
namespace srm   {
namespace util  {
namespace srm1_1{
    
/**
 * Return true if the FileMetadata structure is related to the given file
 */
template<>
inline bool match_file(const MetaDataPathDetail& file, const ::srm::srm2__FileMetaData * file_metadata) {
    bool result = false;
    if(0 != file_metadata){
        const char * req_surl = file_metadata->SURL;
        if((0 != req_surl) && (strlen(req_surl) > 0)){
            // Compare the Source SURL
            if(0 == file.surl.compare(req_surl)){
                // Match Found
                result = true;
            }
        } else {
            // No SURLs returned
        }
    }
    return result;
}

} // End namespace srm1_1
} // End namespace util
} // End namespace srm
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_SRM_UTIL_CPP_1_1_SRM_COMMON_STAT_H_
