/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  gLite SRM Util - Common functionality of srmLs-like requests
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: ls_CommonOperations.cpp,v 1.1 2009/04/08 16:25:28 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#include "ls_CommonOperations.h"

CommandLineParameters g_parameters;

bool check_parameters_for_token(int argc, char **argv)
{
    if(argc <= 0){
        error("No Request Token specified");
        print_usage();
        return false;
    }

    if(argc > 1){
        error("Too many Request Tokens specified");
        print_usage();
        return false;
    }

    return true;
}

bool check_parameters_for_surl(int argc, char **argv)
{
	if(argc <= 0) {
		error("No Surl specified");
		print_usage();
		return false;
	}

	return true;
}
