/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  gLite SRM Util - put common functions
 *
 *  Authors: Paolo Badino <Paolo.Badino@cern.ch>
 *  Version info: $Id: put-common.cpp,v 1.2 2008/05/06 07:50:04 ptedesco Exp $
 *  Release: $Name:  $
 *
 */

#include "put-common.h"

using namespace glite::data::srm::util;

/*
 * print_request
 * 
 * print a request
 */
void print_request(const PrepareToPut& request){
    
    // print the request token
    info(" ");
    info("Token  : %s", request.token().c_str());
    info("Status : %s", SrmStatus::toString(request.status.code));
    if(false == request.status.message.empty()){
        info("Message: %s", request.status.message.c_str());
    }
    
    // Display file Statuses
    std::vector<PutFileRequest>::const_iterator it;
    for(it = request.files.begin(); it != request.files.end(); ++it){
        info("\nFile : %s",(*it).surl.c_str());
        info("\tStatus           : %s",SrmStatus::toString((*it).status.code));
        if(false == (*it).status.message.empty()){
            info("\tMessage          : %s", (*it).status.message.c_str());
        }
        info("\tSize             : %ld",(*it).size);
        info("\tTURL             : %s",(*it).turl.c_str());
        info("\tExt.Wait  Time   : %d",(int)(*it).extimatedWaitTime);
        info("\tRem.Pin Time     : %d",(int)(*it).remainingPinTime);
        info("\tRem.File Lifetime: %d",(int)(*it).remainingFileTime);
    }
}
