/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: SRM 1.1 srmLs test cases
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: Srm11_SrmLs.h,v 1.1 2009/04/08 16:28:20 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_SRM_UTIL_CPP_SRM11_SRMLS_H_
#define GLITE_DATA_SRM_UTIL_CPP_SRM11_SRMLS_H_

#include "TestBase_v1.h"

using namespace glite::data::srm::util;

class Srm11_SrmLs : public TestBase_v1
{
public:
    void setUp ();
    void tearDown ();

private:
    CPPUNIT_TEST_SUITE( Srm11_SrmLs);
    CPPUNIT_TEST( testSupported );
    CPPUNIT_TEST( testLs );
    CPPUNIT_TEST_SUITE_END();

    void testSupported();
    void testLs();

private:
	void _check_supported(const std::string& version);
};

#endif //#ifndef GLITE_DATA_SRM_UTIL_CPP_SRM11_SRMLS_H_
