/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: SRM 2.2 Test Case
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *           Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: Srm22_SrmLs.h,v 1.2 2009/06/21 17:09:31 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#ifndef GLITE_DATA_SRM_UTIL_CPP_SRM22_SRMLS_H_
#define GLITE_DATA_SRM_UTIL_CPP_SRM22_SRMLS_H_

#include "TestBase_v2.h"

using namespace glite::data::srm::util;

class Srm22_SrmLs : public TestBase_v2
{
public:
    void setUp ();
    void tearDown ();

private:
    // Declare CPPUnit Methods
    // -------------------------------------------------------------------------
    CPPUNIT_TEST_SUITE( Srm22_SrmLs);
		CPPUNIT_TEST( testSupported );
        CPPUNIT_TEST( testLs_synch_request );
        CPPUNIT_TEST( testLs_asynch_request );
        CPPUNIT_TEST( testLs_ErrorNoFile );
        CPPUNIT_TEST( testStat_ErrorNoFile_partial );
        CPPUNIT_TEST( testLs_02 );
        CPPUNIT_TEST( testLs_03 );
        CPPUNIT_TEST( testLs_04 );
    CPPUNIT_TEST_SUITE_END();

    void testLs_synch_request();
    void testLs_asynch_request();
    void testLs_ErrorNoFile();
    void testStat_ErrorNoFile_partial();
    void testLs_02();
    void testLs_03();
    void testLs_04();

private:
	virtual void _check_supported(const std::string& version);
	const std::string& _TestFilePath_synch();
	const std::string& _TestFilePath_asynch();
};

#endif // #ifndef GLITE_DATA_SRM_UTIL_CPP_SRM22_SRMLS_H_
