/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: SRM 2.2 srmStat Test Cases
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>,
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *           Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: Srm22_SrmStat.h,v 1.2 2009/06/21 17:09:31 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_SRM_UTIL_CPP_SRM22_SRMSTAT_H_
#define GLITE_DATA_SRM_UTIL_CPP_SRM22_SRMSTAT_H_

#include "TestSrmStat.h"
#include "TestBase_v2.h"

using namespace glite::data::srm::util;

class Srm22_SrmStat : public TestSrmStat,
                      public TestBase_v2
{
public:
	Srm22_SrmStat()
		: TestSrmStat(dynamic_cast<TestBase&>(*this))
	{ /* EMPTY */}

    virtual void setUp();
    virtual void tearDown();

private:
    CPPUNIT_TEST_SUITE( Srm22_SrmStat);
        CPPUNIT_TEST( testSupported );
        CPPUNIT_TEST( testStat_synch_request );
        CPPUNIT_TEST( testStat_asynch_request );
        CPPUNIT_TEST( testStat_ErrorNoFile );
        CPPUNIT_TEST( testStat_ErrorNoFile_2 );
    CPPUNIT_TEST_SUITE_END();

    virtual void _check_supported(const std::string& version);
    void testStat_asynch_request();
	const std::string& _testFilePath_asynch();
};

#endif // #ifndef GLITE_DATA_SRM_UTIL_CPP_SRM22_SRMSTAT_H_
