/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: Common base of the SRM 1.1 Test Cases
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: TestBase_v1.h,v 1.1 2009/04/08 16:28:20 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#ifndef GLITE_DATA_SRM_UTIL_CPP_TESTBASE_V1_H_
#define GLITE_DATA_SRM_UTIL_CPP_TESTBASE_V1_H_

#include "TestBase.h"

using namespace glite::data::srm::util;

class TestBase_v1 : public TestBase
{
protected:
	virtual const std::string _endPointRoot();
	virtual const std::string _testSpecificPath();
};

#endif // #ifndef GLITE_DATA_SRM_UTIL_CPP_TESTBASE_V1_H_
