/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util Common base of the SRM 2.2 Test Cases
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: TestBase_v2.cpp,v 1.2 2009/06/21 17:09:31 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#include "TestBase_v2.h"

const std::string TestBase_v2::_endPointRoot()
{
	return "srm://localhost/srm/managerv2";
}

const std::string TestBase_v2::_testSpecificPath()
{
	return "srm2";
}

void TestBase_v2::testSupported()
{
    // Do it with different values of the version (test tag stripping)
    _check_supported("2.2.0");
    _check_supported("2.2");
    _check_supported("2.2.x");
}
