/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: General SrmStat test cases
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: TestSrmStat.h,v 1.1 2009/04/08 16:28:20 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_SRM_UTIL_CPP_TESTSRMSTAT_H_
#define GLITE_DATA_SRM_UTIL_CPP_TESTSRMSTAT_H_

#include "glite/data/srm/util/Context.h"
#include "TestBase.h"

using namespace glite::data::srm::util;

class TestSrmStat
{
public:
	TestSrmStat(TestBase& d)
		: _d(d)
	{ /* EMPTY */ }

	void setUp();
	void tearDown();

protected:
	void testStat_synch_request();
    void testStat_ErrorNoFile();
    void testStat_ErrorNoFile_2();

	const std::string& _testFilePath_synch();

private:
	TestBase& _d;
};

#endif // #ifndef GLITE_DATA_SRM_UTIL_CPP_TESTSRMSTAT_H_
