/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data SRM Util CPP: tests suite registry
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: testSuite.cpp,v 1.3 2009/07/30 17:40:34 molnarzs Exp $
 *  Release: $Name:  $
 *
 */

#include "Srm11_TestCase.h"
#include "Srm22_TestCase.h"
#include "Srm11_SrmLs.h"
#include "Srm22_SrmLs.h"
#include "Srm11_SrmStat.h"
#include "Srm22_SrmStat.h"
#include "GSoapContext11_TestCase.h"
#include "TestSrmBusy.h"
#include "TestExponentialBackoffLogic.h"
#include "test_helpers.h"

// Registered tests.
CPPUNIT_TEST_SUITE_REGISTRATION(Srm11_TestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(Srm22_TestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(Srm11_SrmLs);
CPPUNIT_TEST_SUITE_REGISTRATION(Srm22_SrmLs);
CPPUNIT_TEST_SUITE_REGISTRATION(Srm11_SrmStat);
CPPUNIT_TEST_SUITE_REGISTRATION(Srm22_SrmStat);
CPPUNIT_TEST_SUITE_REGISTRATION(GSoapContext11_TestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(TestSrmBusy);
CPPUNIT_TEST_SUITE_REGISTRATION(TestExponentialBackoffLogic);

